// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.15.8
// source: uzytkownicy/uzytkownicy.proto

package uzytkownicy

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// ZarzadzanieClient is the client API for Zarzadzanie service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type ZarzadzanieClient interface {
	UtworzNowegoUsera(ctx context.Context, in *NowyUser, opts ...grpc.CallOption) (*User, error)
}

type zarzadzanieClient struct {
	cc grpc.ClientConnInterface
}

func NewZarzadzanieClient(cc grpc.ClientConnInterface) ZarzadzanieClient {
	return &zarzadzanieClient{cc}
}

func (c *zarzadzanieClient) UtworzNowegoUsera(ctx context.Context, in *NowyUser, opts ...grpc.CallOption) (*User, error) {
	out := new(User)
	err := c.cc.Invoke(ctx, "/uzytkownicy.Zarzadzanie/UtworzNowegoUsera", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ZarzadzanieServer is the server API for Zarzadzanie service.
// All implementations must embed UnimplementedZarzadzanieServer
// for forward compatibility
type ZarzadzanieServer interface {
	UtworzNowegoUsera(context.Context, *NowyUser) (*User, error)
	mustEmbedUnimplementedZarzadzanieServer()
}

// UnimplementedZarzadzanieServer must be embedded to have forward compatible implementations.
type UnimplementedZarzadzanieServer struct {
}

func (UnimplementedZarzadzanieServer) UtworzNowegoUsera(context.Context, *NowyUser) (*User, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UtworzNowegoUsera not implemented")
}
func (UnimplementedZarzadzanieServer) mustEmbedUnimplementedZarzadzanieServer() {}

// UnsafeZarzadzanieServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to ZarzadzanieServer will
// result in compilation errors.
type UnsafeZarzadzanieServer interface {
	mustEmbedUnimplementedZarzadzanieServer()
}

func RegisterZarzadzanieServer(s grpc.ServiceRegistrar, srv ZarzadzanieServer) {
	s.RegisterService(&Zarzadzanie_ServiceDesc, srv)
}

func _Zarzadzanie_UtworzNowegoUsera_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NowyUser)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ZarzadzanieServer).UtworzNowegoUsera(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/uzytkownicy.Zarzadzanie/UtworzNowegoUsera",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ZarzadzanieServer).UtworzNowegoUsera(ctx, req.(*NowyUser))
	}
	return interceptor(ctx, in, info, handler)
}

// Zarzadzanie_ServiceDesc is the grpc.ServiceDesc for Zarzadzanie service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Zarzadzanie_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "uzytkownicy.Zarzadzanie",
	HandlerType: (*ZarzadzanieServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UtworzNowegoUsera",
			Handler:    _Zarzadzanie_UtworzNowegoUsera_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "uzytkownicy/uzytkownicy.proto",
}
